<?php

/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2017/12/2
 * Time: 15:36
 */

namespace App\Modules\SendOrder\Services;

use App\Modules\SendOrder\Models\QappUserSendOrderId;
use App\Modules\SendOrder\Models\QuickAppSendOrder;
use App\Modules\SendOrder\Models\SendOrder;
use DB;

class SendOrderService
{
    public static function getSendOrderStatic(int $id)
    {
        return SendOrder::find($id);
    }

    public function getQuickAppSendOrder(int $send_order_id)
    {
        return QuickAppSendOrder::where('send_order_id', $send_order_id)->first();
    }



    /**
     * 根据id获取信息
     * @param $id
     * @return mixed
     */
    static function getById($id)
    {
        return SendOrder::find($id);
    }


    /*
     * 更新派单时间
     */
    static function updateSendOrderTime($send_order_id)
    {
        return SendOrder::where('id', $send_order_id)->update(['send_time' => date('Y-m-d H:i:s')]);
    }

    /**
     * 记录用户派单id
     * @param $uid
     * @param $send_order_id
     */
    static function recordUserSendOrder($uid,$send_order_id){
        $info = QappUserSendOrderId::where('uid',$uid)->select('send_order_id')->orderBy('id','desc')->first();
        if($info && $info->send_order_id == $send_order_id){
            return ;
        }
        QappUserSendOrderId::create([
            'uid'=>$uid,'send_order_id'=>$send_order_id
        ]);
    }

}
